Module tdlight.api
Package it.tdlight.jni

# Class TdApi.AutoDownloadSettings

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.AutoDownloadSettings

Enclosing class:
  TdApi

public static final class TdApi.AutoDownloadSettings extends TdApi.Object
Contains auto-download settings.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`boolean`
`isAutoDownloadEnabled`
True, if the auto-download is enabled.
`int`
`maxOtherFileSize`
The maximum size of other file types to be auto-downloaded, in bytes.
`int`
`maxPhotoFileSize`
The maximum size of a photo file to be auto-downloaded, in bytes.
`int`
`maxVideoFileSize`
The maximum size of a video file to be auto-downloaded, in bytes.
`boolean`
`preloadLargeVideos`
True, if the beginning of video files needs to be preloaded for instant playback.
`boolean`
`preloadNextAudio`
True, if the next audio track needs to be preloaded while the user is listening to an audio file.
`boolean`
`useLessDataForCalls`
True, if "use less data for calls" option needs to be enabled.
`int`
`videoUploadBitrate`
The maximum suggested bitrate for uploaded videos, in kbit/s.

## Constructor Summary

Constructors
Constructor
Description
`AutoDownloadSettings()`
Contains auto-download settings.
`AutoDownloadSettings(boolean isAutoDownloadEnabled, int maxPhotoFileSize, int maxVideoFileSize, int maxOtherFileSize, int videoUploadBitrate, boolean preloadLargeVideos, boolean preloadNextAudio, boolean useLessDataForCalls)`
Contains auto-download settings.
`AutoDownloadSettings(DataInput input)`
Contains auto-download settings.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### isAutoDownloadEnabled

public boolean isAutoDownloadEnabled
True, if the auto-download is enabled.

### maxPhotoFileSize

public int maxPhotoFileSize
The maximum size of a photo file to be auto-downloaded, in bytes.

### maxVideoFileSize

public int maxVideoFileSize
The maximum size of a video file to be auto-downloaded, in bytes.

### maxOtherFileSize

public int maxOtherFileSize
The maximum size of other file types to be auto-downloaded, in bytes.

### videoUploadBitrate

public int videoUploadBitrate
The maximum suggested bitrate for uploaded videos, in kbit/s.

### preloadLargeVideos

public boolean preloadLargeVideos
True, if the beginning of video files needs to be preloaded for instant playback.

### preloadNextAudio

public boolean preloadNextAudio
True, if the next audio track needs to be preloaded while the user is listening to an audio file.

### useLessDataForCalls

public boolean useLessDataForCalls
True, if "use less data for calls" option needs to be enabled.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### AutoDownloadSettings

public AutoDownloadSettings()
Contains auto-download settings.

### AutoDownloadSettings

public AutoDownloadSettings(boolean isAutoDownloadEnabled, int maxPhotoFileSize, int maxVideoFileSize, int maxOtherFileSize, int videoUploadBitrate, boolean preloadLargeVideos, boolean preloadNextAudio, boolean useLessDataForCalls)
Contains auto-download settings.

Parameters:
  `isAutoDownloadEnabled` - boolean True, if the auto-download is enabled.
  `maxPhotoFileSize` - int The maximum size of a photo file to be auto-downloaded, in bytes.
  `maxVideoFileSize` - int The maximum size of a video file to be auto-downloaded, in bytes.
  `maxOtherFileSize` - int The maximum size of other file types to be auto-downloaded, in bytes.
  `videoUploadBitrate` - int The maximum suggested bitrate for uploaded videos, in kbit/s.
  `preloadLargeVideos` - boolean True, if the beginning of video files needs to be preloaded for instant playback.
  `preloadNextAudio` - boolean True, if the next audio track needs to be preloaded while the user is listening to an audio file.
  `useLessDataForCalls` - boolean True, if "use less data for calls" option needs to be enabled.

### AutoDownloadSettings

public AutoDownloadSettings(DataInput input) throws IOException
Contains auto-download settings.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`